質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.10%

php.iniがphp_oci8.dllを参照しない

受付中

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,198

IST

score 14

環境

  • Windows7 32bit
  • PHP4系
  • Oracle 11g
  • Apatch2.2

事象

突然、PHP からOracleに接続が出来なくなりました。

php_oci8.dllが正しく動作しません。
もしくは、php.iniがphp_oci8.dllを正しく見てくれません。

oci8.phpが使われているかどうかを確認するため、名前を変更。
php_oci8.dll → php_oci88.dll

こちら…エラーになりません。

背景

突然、PHPからDBに繋がらなくなりました。
特に設定をいじったなどは、意識の範囲内では行なっていません。

やったこと

  • DB接続箇所以外は正常動作していることを確認済み
  • DBはクライアントツール(SQL Developer)で接続可能なことを確認済み
  • php.ini の設定でphp_oci8.dllが有効であることを確認済み
  • php_oci8.dll が C:¥php¥extension¥ に置かれていることを確認済み
phpinfo();


で、php.iniの場所を確認し、設定を書き換えてブラウザで表示をすると、変更が反映されるので、
php.iniの場所は正しいと思います。

php_oci8.dll がOracle 10gR2 で
php_oci8_11g.dll が Oracle 11gR2 とされていますが、
私の環境では php_oci8.dll で平常時に動作していたので、php_oci8.dll で問題ないと思っています。

備考

PhpStormでOCILogon()の呼び出し元にジャンプすると、PhpStorm側で用意されている、
oci8.phpというファイルの下記の場所にジャンプします。

https://github.com/JetBrains/phpstorm-stubs/blob/a7ab02b8f7fc78dec1e513ed5e732f117a0436c4/oci8/oci8.php#L1907

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

0

Windows7 32bit

Oracle11.2 Windows(32-bit)のソフトウェア要件 を満たしていますか?時々、Windows7 Home Premium でOracleに接続できると言い張る人がいます。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/04/06 11:25

    はい。
    Oracle11.2 Windows(32-bit)のソフトウェア要件 を満たしています。
    その理由は、それまで動いていたためです。
    ハード面/言語(PHP4) などの面は満たしている上で、
    『なぜ、PHPはPhpStromのstubを見に行き、php_oci8.dllを見ていないのか』が焦点です。
    わかりにくくてすみませんm(__)m

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.10%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる